Unit tzf12c_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FZF12C_p, ZF12C_p;

function tzf12c: String;

implementation

function tzf12c: String;
var
NDIG,K,NG,N,ITMAX,_i,I,IERR :Integer;
EPS :Real;
CROOT :Array [0..4] of Complex;
ITER :Array [0..4] of Integer;
begin
Result := '';  {   }
EPS := 0.0;
NDIG := 5;
K := 0;
NG := 0;
N := 5;
ITMAX := 200;
ZF12C(FZF12C,K,NG,N,EPS,NDIG,CROOT,ITER,ITMAX,IERR);
Result := Result + Format(' %10d  %10d  %10d  %16.7f  %10d  %10d %10d ',[K,NG,N,EPS,NDIG,ITMAX,IERR]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%16.7f %16.7f ',[CROOT[_i].re,CROOT[_i].im]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%10d ',[ITMAX]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to 5 do
 begin
  Result := Result + Format('%10d ',[ITER[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tzf12c',Result);  {     tzf12c.res }
exit;
end;

end.
